POST
/api/v2/referrals/programs/{programId}/drafts/{draftId}/publishPOST /api/v2/referrals/programs/{programId}/drafts/{draftId}/publish
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes | |
| draftId (path) | string (uuid) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| PreviewHash | string | Yes | |
| IdempotencyKey | string | Yes | |
| Reason | string | Yes |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| BaseRevision | unknown | Yes | |
| DraftRevision | unknown | Yes | |
| Status | string | Yes | |
| Draft | ReferralDraftRequest | Yes | |
| EffectiveAt | string (date-time) | Yes | |
| Reason | string | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/referrals/programs/{programId}/drafts/{draftId}/publish" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"PreviewHash":"…","IdempotencyKey":"…","Reason":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.